Detalhe de RCS recebido
curl --request GET \
--url https://api.notifique.dev/v1/rcs/inbound/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.notifique.dev/v1/rcs/inbound/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.notifique.dev/v1/rcs/inbound/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.notifique.dev/v1/rcs/inbound/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"success": true,
"data": {
"id": "inb1...",
"from": "5511999999999",
"body": "Quero a oferta",
"receivedAt": "2025-02-10T15:00:00.000Z",
"relatedRcsLogId": "clrcs1...",
"relatedRcsLog": {
"id": "clrcs1...",
"rcsId": "clrcs1...",
"to": "5511999999999",
"type": "card",
"payload": {
"cardTitle": "Oferta especial",
"cardMessage": "Válida até domingo."
},
"refer": "pedido-123",
"status": "DELIVERED",
"externalId": "ext-abc",
"createdAt": "2025-02-10T14:00:00.000Z",
"sentAt": "2025-02-10T14:00:05.000Z",
"deliveredAt": "2025-02-10T14:00:30.000Z",
"readAt": null,
"clickedAt": null,
"failedAt": null
}
}
}{
"success": false,
"error": "Unauthorized",
"message": "Invalid or missing API Key",
"code": "UNAUTHORIZED"
}{
"success": false,
"error": "Forbidden",
"message": "Missing scope: rcs:read",
"code": "FORBIDDEN"
}{
"success": false,
"error": "Not Found",
"message": "Inbound RCS not found",
"code": "NOT_FOUND"
}Inbound
Detalhe de RCS recebido
GET
/
v1
/
rcs
/
inbound
/
{id}
Detalhe de RCS recebido
curl --request GET \
--url https://api.notifique.dev/v1/rcs/inbound/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.notifique.dev/v1/rcs/inbound/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.notifique.dev/v1/rcs/inbound/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.notifique.dev/v1/rcs/inbound/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"success": true,
"data": {
"id": "inb1...",
"from": "5511999999999",
"body": "Quero a oferta",
"receivedAt": "2025-02-10T15:00:00.000Z",
"relatedRcsLogId": "clrcs1...",
"relatedRcsLog": {
"id": "clrcs1...",
"rcsId": "clrcs1...",
"to": "5511999999999",
"type": "card",
"payload": {
"cardTitle": "Oferta especial",
"cardMessage": "Válida até domingo."
},
"refer": "pedido-123",
"status": "DELIVERED",
"externalId": "ext-abc",
"createdAt": "2025-02-10T14:00:00.000Z",
"sentAt": "2025-02-10T14:00:05.000Z",
"deliveredAt": "2025-02-10T14:00:30.000Z",
"readAt": null,
"clickedAt": null,
"failedAt": null
}
}
}{
"success": false,
"error": "Unauthorized",
"message": "Invalid or missing API Key",
"code": "UNAUTHORIZED"
}{
"success": false,
"error": "Forbidden",
"message": "Missing scope: rcs:read",
"code": "FORBIDDEN"
}{
"success": false,
"error": "Not Found",
"message": "Inbound RCS not found",
"code": "NOT_FOUND"
}Esta página foi útil?

